diff -pruN 0.1.11-1/Changelog 0.1.12-1/Changelog
--- 0.1.11-1/Changelog	2013-10-07 07:18:14.000000000 +0000
+++ 0.1.12-1/Changelog	2013-10-17 11:11:17.000000000 +0000
@@ -1,3 +1,4 @@
+v0.1.12: fix match not found when match includes last character
 v0.1.11: fix match to text 1.2
 v0.1.9: move demos to bin, to be dir compliant
 v0.1.8: remove rubygems dependency in code.
diff -pruN 0.1.11-1/debian/changelog 0.1.12-1/debian/changelog
--- 0.1.11-1/debian/changelog	2013-10-07 07:23:41.000000000 +0000
+++ 0.1.12-1/debian/changelog	2013-10-17 11:13:09.000000000 +0000
@@ -1,3 +1,9 @@
+ruby-cassiopee (0.1.12-1) unstable; urgency=low
+
+  * New upstream release
+
+ -- Olivier Sallou <osallou@debian.org>  Thu, 17 Oct 2013 13:12:53 +0200
+
 ruby-cassiopee (0.1.11-1) unstable; urgency=low
 
   [ Olivier Sallou ]
diff -pruN 0.1.11-1/lib/cassiopee.rb 0.1.12-1/lib/cassiopee.rb
--- 0.1.11-1/lib/cassiopee.rb	2013-10-07 07:18:14.000000000 +0000
+++ 0.1.12-1/lib/cassiopee.rb	2013-10-17 11:11:17.000000000 +0000
@@ -765,7 +765,7 @@ module Cassiopee
 					prev_progress = -1
                		 (minpos..(maxpos)).each do |j|
                		 	# if position+length longer than sequence length, skip it
-               		 	if(j+i>=@sequence.length)
+               		 	if(j+i>@sequence.length)
                		 		next
                		 	end
                     	@suffix = s[j,i]
diff -pruN 0.1.11-1/metadata.yml 0.1.12-1/metadata.yml
--- 0.1.11-1/metadata.yml	2013-10-07 07:18:14.000000000 +0000
+++ 0.1.12-1/metadata.yml	2013-10-17 11:11:17.000000000 +0000
@@ -1,13 +1,13 @@
 --- !ruby/object:Gem::Specification 
 name: cassiopee
 version: !ruby/object:Gem::Version 
-  hash: 13
+  hash: 3
   prerelease: 
   segments: 
   - 0
   - 1
-  - 11
-  version: 0.1.11
+  - 12
+  version: 0.1.12
 platform: ruby
 authors: 
 - Olivier Sallou
@@ -15,7 +15,7 @@ autorequire:
 bindir: bin
 cert_chain: []
 
-date: 2013-10-04 00:00:00 Z
+date: 2013-10-17 00:00:00 Z
 dependencies: 
 - !ruby/object:Gem::Dependency 
   name: text
diff -pruN 0.1.11-1/tests/test-suite.rb 0.1.12-1/tests/test-suite.rb
--- 0.1.11-1/tests/test-suite.rb	2013-10-07 07:18:14.000000000 +0000
+++ 0.1.12-1/tests/test-suite.rb	2013-10-17 11:11:17.000000000 +0000
@@ -20,6 +20,21 @@ class TestCrawler < Test::Unit::TestCase
     #assert_equal(2,match[2].length-1)
   end
 
+  def test_exactsearch2
+    crawler = Cassiopee::Crawler.new
+    crawler.setLogLevel(Logger::DEBUG)
+    crawler.indexString('my sample example')
+    matches = crawler.searchExact('xample')
+    assert_equal(1,matches.length)
+    # Minus 1, because first element is len of match
+    match = crawler.next()
+    puts "## "+match.to_s
+    #assert_equal(2,match[2].length-1)
+    crawler.setLogLevel(Logger::ERROR)
+
+  end
+
+
   def test_ambiguous 
     crawler = Cassiopee::Crawler.new
     crawler.loadAmbiguityFile(File.join(File.dirname(__FILE__), 'amb.map'))
